View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007276ParaView(No Category)public2008-07-02 21:372009-05-13 13:59
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0007276: gen files with .g extension are read as BYU files
Description.g files are being read as BYU files, not GEN files. Which is correct? Behavior is now different than 3.2.1.

This needs to be fixed, or accepted as is, for 3.4.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012606)
Ken Moreland (manager)
2008-07-03 10:44

Both are correct. ParaView should be using the CanReadFile methods to resolve which reader to use when to readers use the same extension.
(0012709)
Utkarsh Ayachit (administrator)
2008-07-15 12:13

BYUReader does not have CanReadFile so it says it can read all *.g files. Changed the order of readers so that ExodusReader gets priority over the BYUReader for .g files. Since ExodusReader supports CanReadFile, it fails for BYU files and then the BYUReader reads them correctly.

I haven't been able to test this (I don't have a GEN file).

/cvsroot/ParaView3/ParaView3/Qt/Components/Resources/XML/ParaViewReaders.xml,v
<-- Qt/Components/Resources/XML/ParaViewReaders.xml
new revision: 1.24; previous revision: 1.23
(0012731)
Alan Scott (manager)
2008-07-16 22:44

Tested with a .g and .gen file. Works great. Tested client/server.

- Issue History
Date Modified Username Field Change
2008-07-02 21:37 Alan Scott New Issue
2008-07-03 10:44 Ken Moreland Note Added: 0012606
2008-07-03 14:49 Berk Geveci Status backlog => tabled
2008-07-03 14:49 Berk Geveci Assigned To => Berk Geveci
2008-07-09 10:49 Utkarsh Ayachit Assigned To Berk Geveci => Utkarsh Ayachit
2008-07-15 12:13 Utkarsh Ayachit Status tabled => @80@
2008-07-15 12:13 Utkarsh Ayachit Resolution open => fixed
2008-07-15 12:13 Utkarsh Ayachit Note Added: 0012709
2008-07-16 22:44 Alan Scott Status @80@ => closed
2008-07-16 22:44 Alan Scott Note Added: 0012731
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker